<?php
session_start();
function GeneratePassword() {
		$Password = '';
		mt_srand((double)microtime()*1000000);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("aeuy",mt_rand(0,3),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("!#*&",mt_rand(0,4),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("aeuy",mt_rand(0,3),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("23456789",mt_rand(0,7),1);
		return($Password);
}
function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@[0-9a-zA-Z_\-]{1,}\.[0-9a-zA-Z_\-]{2,}$)', $str));
}
function valid_naam ($str) {
 return  (ereg ('^[a-z. -]{5,}$', $str));
}

?>

<html>
<head>
	<titl>Aanmeldformulier</title>
</head>
<body>

<?php

if ($verzendbutton != "verzenden" || !valid_mail($mailadres) || !valid_naam($naam)) { 

echo "<h1>Aanmelden bij onze winkel</h1>";

echo "<form action=\"$PHP_SELF\" method=\"post\">";

if ($verzendbutton && !valid_naam($naam)) {
		echo "<font color=\"red\">Vul hier uw naam correct in!</font>";
}
?>
Gebruikersnaam: (alleen kleine letters)<input type="text" name="naam" value="<?php echo $naam ?>"><br>

<?php
if ($verzendbutton && !valid_mail($mailadres)) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $mailadres ?>"><br>

<input type="submit" value="verzenden" name="verzendbutton">
</form>

<?php

} else {

	$password = GeneratePassword();

	echo "<br><p>U ontvangt uw inloggevens op $mailadres<br>";

	$boodschap = "Welkom bij onze winkel!\n\n";
	$boodschap .= "Uw gebruikersnaam is: $naam\n";
	$boodschap .= "Uw password is: $password\n";

	$afzender = "website@mijnwinkel.nl";

	$ok = mail($mailadres, "Inloggevens", $boodschap, "From: $afzender");

	if (!$ok) {

		echo "De mail kon niet verzonden worden!";

	}

	$_SESSION['naam'] = $naam;
	$_SESSION['password'] = md5($password);

	echo "U kunt nu inloggen in de <a href=\"winkel.php\">Winkel</a>";

}

?>
</body>

</html>
